Subject: bug#77933: 31.0.50; emacsclient doesn't return to shell with '--no-wait' supplied

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Apr 2025 11:14:11 +0300

> Date: Sun, 20 Apr 2025 07:49:19 +0200
> From: "Pedro A. Aranda" <[email-masked]>
> 
> On my Ubuntu system:
> uname -a
> Linux 840g5 6.8.0-57-generic #59~22.04.1-Ubuntu SMP PREEMPT_DYNAMIC Wed
> Mar 19 17:07:41 UTC 2 x86_64 x86_64 x86_64 GNU/Linux
> 
> 
> 
> In GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> 3.24.33, cairo version 1.16.0) of 2025-04-17 built on 26771769ed00
> Repository revision: ee46b6c4e67aa52b4ef683c5c16f64638e369cd3
> 
> I call emacsclient with --no-wait but the program doesn't start in the
> background, Thus, I don't get the CLI prompt back.

I cannot reproduce this with today's master branch, but I'm not on
Ubuntu.